<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class CtwaPerCustomerDataSharingAction extends \Google\Protobuf\Internal\Message
{
    


    protected $isCtwaPerCustomerDataSharingEnabled = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getIsCtwaPerCustomerDataSharingEnabled()
    {
        return isset($this->isCtwaPerCustomerDataSharingEnabled) ? $this->isCtwaPerCustomerDataSharingEnabled : false;
    }

    public function hasIsCtwaPerCustomerDataSharingEnabled()
    {
        return isset($this->isCtwaPerCustomerDataSharingEnabled);
    }

    public function clearIsCtwaPerCustomerDataSharingEnabled()
    {
        unset($this->isCtwaPerCustomerDataSharingEnabled);
    }

    




    public function setIsCtwaPerCustomerDataSharingEnabled($var)
    {
        GPBUtil::checkBool($var);
        $this->isCtwaPerCustomerDataSharingEnabled = $var;

        return $this;
    }

}

